#global gitdate 20130514
#global gitversion 77a1594
%global tarball xf86-video-qxl

%if 0%{?gitdate}
%define gver .%{gitdate}git%{gitversion}
%endif

Name:    x11-driver-video-qxl
Version: 0.1.1
Release: %mkrel 1%{?gver}
Summary: X.org driver for QEMU QXL paravirt video
Group:   System/X11
URL:     http://xorg.freedesktop.org
Source:  http://xorg.freedesktop.org/releases/individual/driver/xf86-video-qxl-%{version}.tar.bz2
#Source0: %{tarball}-%{gitdate}.tar.bz2
Patch1:    qxl-kms-disable-composite.patch

# This should go away with a spice server containing 1d18b7e98ab268c755933061d77ccc7a981815e2
Patch2:        0005-spiceqxl_display-only-use-qxl-interface-after-it-is-.patch

# Fixes for running with Xorg suid, which is the only way we ship in fedora
Patch6: 0006-spiceqxl_spice_server-no-need-to-call-spice_server_s.patch
Patch7: 0007-xspice-chown-both-files-used-by-vdagent-for-suid-Xor.patch
Patch8: 0008-Xspice-cleanup-non-regular-files-too.patch
Patch9: 0009-Xspice-fix-cleanup-when-some-processes-are-already-d.patch
Patch10: 0010-Xspice-cleanup-vdagent-files.patch
 
License: MIT

BuildRoot: %{_tmppath}/%{name}-root

BuildRequires: x11-proto-devel
BuildRequires: x11-server-devel
BuildRequires: x11-util-macros
BuildRequires: spice-protocol
BuildRequires: libdrm-devel
BuildRequires: kernel-devel
BuildRequires: libudev-devel

%description
X.org driver for QEMU QXL paravirt video.

%prep
#setup -q -n xf86-video-qxl-%{version}
%setup -q -n %{tarball}-%{?gitdate:%{gitdate}}%{!?gitdate:%{version}}
%apply_patches
autoreconf -f -i

%build
KINC=$(ls /usr/src/*/include/uapi/ -d|tail -1)
CFLAGS="%optflags -I$KINC"
echo ">> CFLAGS='$CFLAGS'"
%configure2_5x
%make

%install
rm -rf %{buildroot}
%makeinstall_std

%clean
rm -rf %{buildroot}

%files
%defattr(-,root,root)
%{_libdir}/xorg/modules/drivers/qxl_drv.la
%{_libdir}/xorg/modules/drivers/qxl_drv.so




%changelog
* Fri Nov 15 2013 tv <tv> 0.1.1-1.mga4
+ Revision: 551396
- new release

  + umeabot <umeabot>
    - Mageia 4 Mass Rebuild

* Thu May 30 2013 tv <tv> 0.1.1-0.20130514git77a1594.1.mga4
+ Revision: 433502
- sync with RH
- fix build with multiple kernels installed

* Thu May 30 2013 tv <tv> 0.1.1-0.20130312gita474a71.1.mga4
+ Revision: 433125
- submit to core/release

* Fri May 24 2013 tv <tv> 0.1.1-0.20130312gita474a71.mga4
+ Revision: 425984
- sync with RH (git snapshot + support for old revision 1 qxl device))
- BR drm-devel + kernel-devel
- fix build
- new release
- new release
- rebuild for new xserver
- rebuild for new xserver

  + umeabot <umeabot>
    - Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Wed Jun 06 2012 tmb <tmb> 0.0.17-3.mga3
+ Revision: 256459
- rebuild for core/release

* Fri Jun 01 2012 tv <tv> 0.0.17-2.mga3
+ Revision: 252969
- rebuild b/c of ia32 failure

* Wed May 30 2012 tv <tv> 0.0.17-1.mga3
+ Revision: 249795
- new release

* Tue Dec 06 2011 tmb <tmb> 0.0.16-4.mga2
+ Revision: 177483
- submit to core/release

* Sat Oct 08 2011 tv <tv> 0.0.16-3.mga2
+ Revision: 153305
- really rebuild for xserver-1.11

* Sat Oct 08 2011 tv <tv> 0.0.16-2.mga2
+ Revision: 153084
- rebuild for xserver-1.11
- BuildRequires: spice-protocol
- disable xspice
- new release
- enable-xspice

* Tue Feb 01 2011 dmorgan <dmorgan> 0.0.13-1.mga1
+ Revision: 46014
- imported package x11-driver-video-qxl

